Draft Inverser le texte de la dimension

From FreeCAD Documentation
This page is a translated version of the page Draft FlipDimension and the translation is 100% complete.

Draft Inverser le texte de la dimension

Emplacement du menu
Modification → Inverser le texte de la dimension
Ateliers
Draft
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun

Description

La commande Draft Inverser le texte de la dimension fait pivoter le texte de la dimension d'une Draft Dimension sélectionnée de 180° autour de la ligne de la dimension. Elle peut être utilisée pour corriger les dimensions dont le texte apparaît en miroir. La commande ne fonctionne pas correctement pour les dimensions angulaires.

Utilisation

  1. Sélectionner une ou plusieurs Draft Dimensions.
  2. Il existe plusieurs façons de lancer la commande :

Remarques

  • Les Draft Dimensions possèdent également une propriété DonnéesFlip Text. Lorsqu'elle est mise à true, le texte est tourné de 180° autour de la direction normale. Ceci peut être combiné avec l'effet de cette commande.

Script

Voir aussi : Autogenerated API documentation et FreeCAD Débuter avec les scripts.

Pour inverser une Draft Dimension, inversez sa propriété Normal.

Exemple :

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 0, 0)
p3 = App.Vector(500, 300, 0)
dimension = Draft.make_dimension(p1, p2, p3)
dimension.ViewObject.FontSize = 200

dimension.Normal = dimension.Normal.negative()
doc.recompute()